## openmpi 1.4.5

=== ompi/tools/CMakeLists.txt ===
# Copyright (c) 2007-2010 High Performance Computing Center Stuttgart, 
#                         University of Stuttgart.  All rights reserved.
# Copyright (c) 2008      The University of Tennessee and The University
#                         of Tennessee Research Foundation.  All rights
#                         reserved.
# $COPYRIGHT$
# 
# Additional copyrights may follow
# 
# $HEADER$
#

ADD_SUBDIRECTORY(ompi_info)
ADD_SUBDIRECTORY(ompi-server)

# select debug or release libraries at configure time
IF(OMPI_DEBUG_BUILD)
  SET(OMPI_WRAPPER_EXTRA_LIBS
    "libmpid.lib libopen-pald.lib libopen-rted.lib advapi32.lib Ws2_32.lib shlwapi.lib")
ELSE(OMPI_DEBUG_BUILD)
  SET(OMPI_WRAPPER_EXTRA_LIBS
    "libmpi.lib libopen-pal.lib libopen-rte.lib advapi32.lib Ws2_32.lib shlwapi.lib")
ENDIF(OMPI_DEBUG_BUILD)

GET_FILENAME_COMPONENT(CC "${CL_EXE}" NAME)
IF(BUILD_SHARED_LIBS)
  SET(OMPI_WRAPPER_EXTRA_CFLAGS
    "/TC /D \"OMPI_IMPORTS\" /D \"OPAL_IMPORTS\" /D \"ORTE_IMPORTS\"")
ELSE(BUILD_SHARED_LIBS)
  IF(OMPI_DEBUG_BUILD)
    SET(OMPI_WRAPPER_EXTRA_CFLAGS "/TC /MDd")
  ELSE(OMPI_DEBUG_BUILD)
    SET(OMPI_WRAPPER_EXTRA_CFLAGS "/TC /MD")
  ENDIF(OMPI_DEBUG_BUILD)
ENDIF(BUILD_SHARED_LIBS)

CONFIGURE_FILE(${OpenMPI_SOURCE_DIR}/contrib/platform/win32/ConfigFiles/mpicc-wrapper-data.txt.cmake
               ${OMPI_BINARY_DIR}/tools/wrappers/mpicc-wrapper-data.txt @ONLY)
INSTALL(FILES ${OMPI_BINARY_DIR}/tools/wrappers/mpicc-wrapper-data.txt
        DESTINATION share/openmpi)
CONFIGURE_FILE(${OpenMPI_SOURCE_DIR}/contrib/platform/win32/ConfigFiles/mpicc-wrapper-data.txt.cmake
               ${OMPI_BINARY_DIR}/tools/wrappers/mpicc.exe-wrapper-data.txt @ONLY)
INSTALL(FILES ${OMPI_BINARY_DIR}/tools/wrappers/mpicc.exe-wrapper-data.txt
        DESTINATION share/openmpi)

IF(OMPI_WANT_CXX_BINDINGS)
  GET_FILENAME_COMPONENT(CXX "${CL_EXE}" NAME)

  IF(BUILD_SHARED_LIBS)
    SET(OMPI_WRAPPER_EXTRA_CXXFLAGS 
      "/TP /EHsc /D \"OMPI_IMPORTS\" /D \"OPAL_IMPORTS\" /D \"ORTE_IMPORTS\"")
  ELSE(BUILD_SHARED_LIBS)
    SET(OMPI_WRAPPER_EXTRA_CXXFLAGS "/TP /EHsc")
  ENDIF(BUILD_SHARED_LIBS)

  # select debug or release libraries at configure time
  IF(OMPI_DEBUG_BUILD)
    SET(OMPI_WRAPPER_CXX_LIB "libmpi_cxxd.lib")
  ELSE(OMPI_DEBUG_BUILD)
    SET(OMPI_WRAPPER_CXX_LIB "libmpi_cxx.lib")
  ENDIF(OMPI_DEBUG_BUILD)

  CONFIGURE_FILE(${OpenMPI_SOURCE_DIR}/contrib/platform/win32/ConfigFiles/mpic++-wrapper-data.txt.cmake
                 ${OMPI_BINARY_DIR}/tools/wrappers/mpic++-wrapper-data.txt @ONLY)
  INSTALL(FILES ${OMPI_BINARY_DIR}/tools/wrappers/mpic++-wrapper-data.txt
          DESTINATION share/openmpi)
  CONFIGURE_FILE(${OpenMPI_SOURCE_DIR}/contrib/platform/win32/ConfigFiles/mpic++-wrapper-data.txt.cmake
                 ${OMPI_BINARY_DIR}/tools/wrappers/mpicxx-wrapper-data.txt @ONLY)
  INSTALL(FILES ${OMPI_BINARY_DIR}/tools/wrappers/mpicxx-wrapper-data.txt
          DESTINATION share/openmpi)
  CONFIGURE_FILE(${OpenMPI_SOURCE_DIR}/contrib/platform/win32/ConfigFiles/mpic++-wrapper-data.txt.cmake
                 ${OMPI_BINARY_DIR}/tools/wrappers/mpic++.exe-wrapper-data.txt @ONLY)
  INSTALL(FILES ${OMPI_BINARY_DIR}/tools/wrappers/mpic++.exe-wrapper-data.txt
          DESTINATION share/openmpi)
  CONFIGURE_FILE(${OpenMPI_SOURCE_DIR}/contrib/platform/win32/ConfigFiles/mpic++-wrapper-data.txt.cmake
                 ${OMPI_BINARY_DIR}/tools/wrappers/mpicxx.exe-wrapper-data.txt @ONLY)
  INSTALL(FILES ${OMPI_BINARY_DIR}/tools/wrappers/mpicxx.exe-wrapper-data.txt
          DESTINATION share/openmpi)
ENDIF(OMPI_WANT_CXX_BINDINGS)

IF(OMPI_WANT_F77_BINDINGS)
  CONFIGURE_FILE(${OpenMPI_SOURCE_DIR}/contrib/platform/win32/ConfigFiles/mpif77-wrapper-data.txt.cmake
                 ${OMPI_BINARY_DIR}/tools/wrappers/mpif77-wrapper-data.txt @ONLY)
  INSTALL(FILES ${OMPI_BINARY_DIR}/tools/wrappers/mpif77-wrapper-data.txt
          DESTINATION share/openmpi)
  CONFIGURE_FILE(${OpenMPI_SOURCE_DIR}/contrib/platform/win32/ConfigFiles/mpif77-wrapper-data.txt.cmake
                 ${OMPI_BINARY_DIR}/tools/wrappers/mpif77.exe-wrapper-data.txt @ONLY)
  INSTALL(FILES ${OMPI_BINARY_DIR}/tools/wrappers/mpif77.exe-wrapper-data.txt
          DESTINATION share/openmpi)
ENDIF(OMPI_WANT_F77_BINDINGS)

IF(OMPI_WANT_F90_BINDINGS)
  CONFIGURE_FILE(${OpenMPI_SOURCE_DIR}/contrib/platform/win32/ConfigFiles/mpif90-wrapper-data.txt.cmake
                 ${OMPI_BINARY_DIR}/tools/wrappers/mpif90-wrapper-data.txt @ONLY)
  INSTALL(FILES ${OMPI_BINARY_DIR}/tools/wrappers/mpif90-wrapper-data.txt
          DESTINATION share/openmpi)
  CONFIGURE_FILE(${OpenMPI_SOURCE_DIR}/contrib/platform/win32/ConfigFiles/mpif90-wrapper-data.txt.cmake
                 ${OMPI_BINARY_DIR}/tools/wrappers/mpif90.exe-wrapper-data.txt @ONLY)
  INSTALL(FILES ${OMPI_BINARY_DIR}/tools/wrappers/mpif90.exe-wrapper-data.txt
          DESTINATION share/openmpi)
ENDIF(OMPI_WANT_F90_BINDINGS)

=== debian/changelog ===
openmpi (1.4.5-1ubuntu1) quantal; urgency=low

  * Merge with Debian; remaining changes:
    - debian/rules: fix dh_installdocs to fix FTBFS. (LP: #813767)
    - Build using blcr on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Sep 2012 16:56:50 +0200

openmpi (1.4.5-1) unstable; urgency=low

  * New upstream release
  * ACK NMUs
  * Switch to dpkg-source 3.0 (quilt) format
  * Refresh of the patches
  * Standards-Version updated to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 11:26:16 +0200

openmpi (1.4.3-2.2) unstable; urgency=low

  * Non-maintainer upload
  * debian/patches/arm_support: fix ARM timer code, by Leif Lindholm.
    Closes: #666110.
  * debian/libopenmpi1.3.lintian-overrides: New file, override
    "embedded-library" lintian error, see #671621.
  * debian/rules: Add dh_lintian.

 -- Michael Banck <mbanck@debian.org>  Sat, 05 May 2012 17:02:38 +0200

openmpi (1.4.3-2.1ubuntu3) precise; urgency=low

  * debian/patches/arm_support: fix ARM timer code (LP: #949044).

 -- Leif Lindholm <leif.lindholm@arm.com>  Tue, 27 Mar 2012 14:52:48 +0300

openmpi (1.4.3-2.1ubuntu2) precise; urgency=low

  * Build using blcr on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Dec 2011 14:41:18 +0100

openmpi (1.4.3-2.1ubuntu1) oneiric; urgency=low

  * debian/rules: fix dh_installdocs to fix FTBFS. (LP: #813767)

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Wed, 20 Jul 2011 13:24:33 -0700

openmpi (1.4.3-2.1) unstable; urgency=low

  * Non-maintainer upload
  * Add openmpi link fix, closes: #621978
    - Thanks to Daniel Schepler <dschepler@gmail.com>
  * Add arm support from ubuntu, closes: #617779
    - Thanks to Jani Monoses <jani@ubuntu.com>

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 20 Apr 2011 19:53:03 +0300

openmpi (1.4.3-2) unstable; urgency=low

  * Fixed symlinks for shared libraries. Thanks to Matthias Klose
    for the patch! Closes: #608717, #609830.
  * Fixed symlink loop in openmpi-checkpoint. Closes: #611454.

 -- Manuel Prinz <manuel@debian.org>  Fri, 11 Mar 2011 14:45:20 +0100

openmpi (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Removed the following patches, all applied upstream:
    - build_kfreebsd
    - manpage-errors-checkpoint
    - manpage-errors-macro
    - manpage-errors-whatis
    - manpage-spelling-errors
    - var-copy
  * Added a patch that fixes man page issues.
  * Added sparc64 to Architecture list. Thanks to Aurelien Jarno for
    the patch! Closes: #596134.

 -- Manuel Prinz <manuel@debian.org>  Wed, 15 Dec 2010 18:50:16 +0100

openmpi (1.4.2-4) unstable; urgency=low

  * Added patch to remove use of AS_VAR_GET. Closes: #592892.
  * debian/control: Added powerpcspe to architecture list. Thanks to
    Sebastian Andrzej Siewior for the patch! Closes: #593481.
  * Build with support for Torque (except on HURD). Closes: #592887.
  * Updated Standards-Version to 3.9.1. No changes needed.

 -- Manuel Prinz <manuel@debian.org>  Wed, 01 Sep 2010 17:53:44 +0200

openmpi (1.4.2-3) unstable; urgency=low

  * Fixed build issue on kFreeBSD. Closes: #589467.
  * Added and updated patch meta-information.

 -- Manuel Prinz <manuel@debian.org>  Tue, 20 Jul 2010 17:31:52 +0200

openmpi (1.4.2-2) unstable; urgency=low

  * Fixed broken broken library symlinks. Closes: #589319.

 -- Manuel Prinz <manuel@debian.org>  Fri, 16 Jul 2010 20:49:24 +0200

openmpi (1.4.2-1) unstable; urgency=low

  * New upstream release. Closes: #585800.
  * Updated patches.
  * Updated Standards-Version. No changes needed.
  * Install previously uninstalled files. Closes: #589043.
  * Fixed several errors in man pages.

 -- Manuel Prinz <manuel@debian.org>  Thu, 15 Jul 2010 17:19:23 +0200

openmpi (1.4.1-3) unstable; urgency=low

  * Added slave alternatives symlinks for MPI FORTRAN libraries.
    Thanks to Adam C. Powell, IV for the patch! Closes: #563705.
  * Recommend openmpi-checkpoint only on available architectures.
  * Increased update-alternatives priority of libopenmpi-dev.

 -- Manuel Prinz <manuel@debian.org>  Thu, 25 Mar 2010 16:32:21 +0100

openmpi (1.4.1-2) unstable; urgency=low

  * Fixed build issues on HURD. Thanks to Pino Toscano for the patch!
    Closes: #552397.
  * Recreate autotools stuff during build. Added autoconf, automake,
    libtool and libltdl-dev to Build-Depends.
  * openmpi-checkpoint now depends on blcr-util. Closes: #572229.
  * Fixed symlink issues with ompi-{checkpoint,restart}. Closes: #572021.
  * Retroactively adding LP entries to close bugs in Ubuntu's Launchpad.

 -- Manuel Prinz <manuel@debian.org>  Thu, 18 Mar 2010 17:57:30 +0100

openmpi (1.4.1-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * New upstream release. Libtool patch removed, included upstream.
  * Watch file updated.

  [ Manuel Prinz ]
  * Bumped Standards-Version to 3.8.4. No changes needed.
  * Updated section on alternatives in README.Debian.
  * Removed conflict with libopal-dev in libopenmpi-dev. Closes: #559161.
  * Removed conflict with ancient pgapack in libopenmpi-dev.
  * Fixed several spelling-error-in-manpage lintian warnings.
  * Deleted man pages provided by Debian, all included upstream.
  * Changed .install files to match soname bumps. The soname bumps were
    introduced by upstream to follow the libtool versioning guidelines.
    The ABI did not change and recompilations of rdepends are not needed.
  * Compile with support for heterogeneous environments and memory affinity.
    LP: #419074.
  * Provide symlinks for orte-{checkpoint,restart} for smoother transition.
    The tools were merged with ompi-{checkpoint,restart}.
  * Added ${misc:Depends} everywhere so lintian is happy.

 -- Manuel Prinz <manuel@debian.org>  Tue, 16 Feb 2010 17:59:12 +0100

openmpi (1.3.3-4) unstable; urgency=medium

  * Fixed security issue in copy of libtool, see CVE-2009-3736.
    Closes: #559836.

 -- Manuel Prinz <manuel@debian.org>  Tue, 08 Dec 2009 00:58:02 +0100

openmpi (1.3.3-3.1) unstable; urgency=low



=== debian/control ===
Source: openmpi
Section: net
Priority: extra
Homepage: http://www.open-mpi.org/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>
Uploaders: Manuel Prinz <manuel@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 5.0.0), libibverbs-dev (>= 1.1.1) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], gfortran, gcc (>= 4:4.1.2), chrpath, quilt, libcr-dev [amd64 armel armhf i386 powerpc], libnuma-dev [amd64 i386 ia64 mips mipsel powerpc], autoconf (>= 2.59), automake1.10, libtool, libltdl-dev, libtorque2-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-openmpi/openmpi/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-openmpi/openmpi/trunk/

Package: openmpi-bin
Architecture: alpha amd64 armel armhf i386 ia64 powerpc powerpcspe ppc64 sparc sparc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}, openmpi-common (= ${source:Version})
Recommends: openmpi-checkpoint [ amd64 armel armhf i386 powerpc ]
Suggests: gfortran
Description: high performance message passing library -- binaries
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-2 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 Features:
  * Full MPI-2 standards conformance
  * Thread safety and concurrency
  * Dynamic process spawning
  * High performance on all platforms
  * Reliable and fast job management
  * Network and process fault tolerance
  * Support network heterogeneity
  * Single library supports all networks
  * Run-time instrumentation
  * Many job schedulers supported
  * Internationalized error messages
  * Component-based design, documented APIs
 .
 This package contains the Open MPI utility programs.

Package: libopenmpi-dev
Section: libdevel
Architecture: alpha amd64 armel armhf i386 ia64 powerpc powerpcspe ppc64 sparc sparc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenmpi1.3 (= ${binary:Version}), openmpi-common (= ${source:Version}), libibverbs-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Conflicts: openmpi-dev
Replaces: openmpi-dev, openmpi-bin (<= 1.2.4-0)
Provides: openmpi-dev
Description: high performance message passing library -- header files
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-2 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains the header files and compiler wrappers which are needed
 to compile and link programs against libopenmpi.

Package: libopenmpi1.3
Section: libs
Architecture: alpha amd64 armel armhf i386 ia64 powerpc powerpcspe ppc64 sparc sparc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: openmpi-libs0, libopenmpi1
Replaces: openmpi-libs0, libopenmpi1
Provides: openmpi-libs0
Description: high performance message passing library -- shared library
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-2 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains the Open MPI shared libraries.

Package: openmpi-common
Architecture: all
Depends: ${misc:Depends}
Description: high performance message passing library -- common files
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-2 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains platform independent files for Open MPI.

Package: openmpi-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: mpi-doc, lam-mpidoc, lam4-dev, openmpi-mpidoc
Replaces: openmpi-mpidoc
Provides: openmpi-mpidoc
Description: high performance message passing library -- man pages
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-2 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains man pages describing the Message Passing Interface
 standard.

Package: libopenmpi-dbg
Section: debug
Architecture: alpha amd64 armel armhf i386 ia64 powerpc powerpcspe ppc64 sparc sparc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Depends: ${misc:Depends}, openmpi-bin (= ${binary:Version}), libopenmpi1.3 (= ${binary:Version})
Conflicts: openmpi-dbg
Replaces: openmpi-dbg
Provides: openmpi-dbg
Description: high performance message passing library -- debug library
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-2 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains debugging symbols for Open MPI.

Package: openmpi-checkpoint
Architecture: amd64 armel armhf i386 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, openmpi-bin (= ${binary:Version}), blcr-util
Description: high performance message passing library -- checkpoint support
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-2 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains binaries needed for checkpointing Open MPI applications.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/dpatch/dpatch.make
include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_CPU   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

CFLAGS = -Wall -g

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
	CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (sparc,$(DEB_HOST_GNU_CPU))
	CFLAGS += -mcpu=v9
endif

# BLCR checkpointing support
BLCR_ARCH = "amd64 armel armhf i386 powerpc"
ifneq (,$(findstring $(DEB_HOST_ARCH),$(BLCR_ARCH)))
        CHKPT = --with-ft=cr --with-blcr=/usr --with-blcr-libdir=/usr/lib
endif

# Memory affinity support
NUMA_ARCH = "amd64 i386 ia64 mips mipsel powerpc"
ifneq (,$(findstring $(DEB_HOST_ARCH),$(NUMA_ARCH)))
        NUMA = --with-libnuma=/usr --with-libnuma-libdir=/usr/lib
endif

# Torque support. Does not build on HURD currently,
#   should be fine on all other arches.
ifneq (hurd-i386,$(DEB_HOST_ARCH))
	TORQUE=--with-tm
endif

COMMON_CONFIG_PARAMS = \
			$(CROSS)				\
			$(CHKPT)				\
			$(NUMA)					\
			--prefix=/usr 				\
			--mandir=\$${prefix}/share/man 		\
			--infodir=\$${prefix}/share/info 	\
			--sysconfdir=/etc/openmpi 		\
			--libdir=\$${prefix}/lib/openmpi/lib	\
			--includedir=\$${prefix}/lib/openmpi/include	\
			--with-devel-headers \
			--enable-heterogeneous \
			$(TORQUE)

# Thread support disabled because it's broken, see bug #435581
#                       --enable-mpi-threads                    \
#                       --enable-progress-threads

# Flags for the static build: see bug #502232
STATIC_CONFIG_PARAMS = --enable-static

.PHONY: autoreconf
autoreconf: patch autoreconf-stamp
autoreconf-stamp:
	dh_testdir
	./autogen.sh
	autoreconf
	touch $@

.PHONY: build
build: build-shared build-static

build-shared: autoreconf build-shared-stamp
build-shared-stamp:
	dh_testdir
	mkdir -p build/shared
	(cd build/shared && LDFLAGS="" CFLAGS="$(CFLAGS)" ../../configure $(COMMON_CONFIG_PARAMS))
	$(MAKE) -C build/shared
	touch $@

build-static: autoreconf build-static-stamp
build-static-stamp:
	dh_testdir
	mkdir -p build/static
	(cd build/static && LDFLAGS="" CFLAGS="$(CFLAGS)" ../../configure $(COMMON_CONFIG_PARAMS) $(STATIC_CONFIG_PARAMS))
	$(MAKE) -C build/static
	touch $@

# Everything is built in the "build" target
build-arch:  build
build-indep: build

check: check-stamp build
check-stamp:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-$(MAKE) check 
endif
	touch $@

clean: clean-work unpatch
clean-work:
	dh_testdir
	dh_testroot
	rm -rf configure-stamp build/ build-shared-stamp build-static-stamp check-stamp autoreconf-stamp
	rm -rf check debian/openmpi
	xargs rm -f < debian/clean_symlinks
	[ ! -f Makefile ] || $(MAKE) distclean
        # some additional cleanups
	rm -rf opal/libltdl/.libs 
	dh_clean 

install-indep: build-indep check
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i
	dh_install -i --sourcedir=$(CURDIR)/debian/openmpi

install-arch: build-arch check
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	$(MAKE) -C build/static install DESTDIR=$(CURDIR)/debian/libopenmpi-dev/
	$(MAKE) -C build/shared install DESTDIR=$(CURDIR)/debian/openmpi/
	rm -rf $(CURDIR)/debian/libopenmpi-dev/usr/lib/openmpi/include/ $(CURDIR)/debian/libopenmpi-dev/etc/ $(CURDIR)/debian/libopenmpi-dev/usr/share/ $(CURDIR)/debian/libopenmpi-dev/usr/bin/
	rm -f $(CURDIR)/debian/libopenmpi-dev/usr/lib/openmpi/lib/mpi.mod
	find  $(CURDIR)/debian/libopenmpi-dev/ -name '*\.so*' -exec rm -f '{}' \;

	# Strip rpath info from all executables and libraries
	find debian/openmpi/ -type f -perm -+x -a ! -name '*.la' -a ! -name '*.mod' -exec chrpath -d '{}' \;
	for f in mpic++ mpicc mpicxx mpiexec mpif77 mpif90 ; do \
		cp debian/openmpi/usr/share/man/man1/$${f}.1 debian/openmpi/usr/share/man/man1/$${f}.openmpi.1 ; \
	done

	# Empty dependency_libs in all .la files. This is part of the "Remove
	# .la files" release goal for Squeeze.
	find debian/libopenmpi-dev/ -type f -name '*.la' -exec sed -i "s,^dependency_libs=.*,dependency_libs=''," '{}' \;

	chmod 644 debian/openmpi/usr/lib/openmpi/lib/mpi.mod
	sed -i 's/3OpenMPI/3/' debian/openmpi/usr/share/man/man3/*.3

	dh_install -s --sourcedir=$(CURDIR)/debian/openmpi --list-missing
	# This gets installed by the wildcard, but we want to remove it really, so it's only used for checkpointing
	-rm -f debian/libopenmpi*/usr/lib/openmpi/lib/openmpi/mca_crs_blcr.so

binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs -i AUTHORS NEWS README
	dh_installexamples -popenmpi-doc examples/*
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress  -i
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a AUTHORS NEWS README
	dh_installexamples -a
	dh_installman -a
	dh_lintian
	dh_link -a
	dh_strip -a --dbg-package=libopenmpi-dbg
	dh_compress  -a
	dh_fixperms -a
	dh_makeshlibs -plibopenmpi1.3
	dh_makeshlibs -n -plibopenmpi-dev
	dh_installdeb -a
	dh_shlibdeps -a -l$(CURDIR)/debian/openmpi/usr/lib/openmpi/lib -Llibopenmpi1.3
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep build-arch build-indep clean install-arch install-indep
